Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QPaintEvent

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.core.QEvent
                  com.trolltech.qt.gui.QPaintEvent

All Implemented Interfaces:
  QtJambiInterface

    public class QPaintEvent

extends QEvent

The `QPaintEvent` class contains event parameters for paint events. Paint events are sent to widgets that need to update themselves, for instance when part of a widget is exposed because a covering widget was moved.

The event contains a `region()` that needs to be updated, and a `rect()` that is the bounding rectangle of that region. Both are provided because many widgets can't make much use of `region()`, and `rect()` can be much faster than `region()`.boundingRect(). Painting is clipped to `region()` during the processing of a paint event.

See also:
  `QPainter`, `QWidget::update()`, `QWidget::repaint()`, and `QWidget::paintEvent()`.

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.core.QEvent
`QEvent.Type`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Constructor Summary
`QPaintEvent(QRect paintRect)` Constructs a paint event object with the rectangle that needs to be updated.
`QPaintEvent(QRegion paintRegion)` Constructs a paint event object with the region that needs to be updated.

Method Summary
`static QPaintEvent` | `fromNativePointer(QNativePointer nativePointer)` This method returns the QPaintEvent instance pointed to by `nativePointer`.
`protected boolean` | `m_erased()`
`protected QRect` | `m_rect()`
`protected QRegion` | `m_region()`
`QRect` | `rect()` Returns the rectangle that needs to be updated.
`QRegion` | `region()` Returns the region that needs to be updated.
`protected void` | `setM_erased(boolean m_erased)`
`protected void` | `setM_rect(QRect m_rect)`
`protected void` | `setM_region(QRegion m_region)`
`java.lang.String` | `toString()` Returns a string representation of the `this QPaintEvent`.

Methods inherited from class com.trolltech.qt.core.QEvent
`accept, ignore, isAccepted, registerEventType, registerEventType, setAccepted, setT, spontaneous, t, type`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QPaintEvent

    public QPaintEvent(QRect paintRect)

  Constructs a paint event object with the rectangle that needs to be updated. The region is specified by `paintRect`.

### QPaintEvent

    public QPaintEvent(QRegion paintRegion)

  Constructs a paint event object with the region that needs to be updated. The region is specified by `paintRegion`.

Method Detail

### rect

    public final QRect rect()

  Returns the rectangle that needs to be updated.

See also:
  `region()`, and `QPainter::setClipRect()`.

### region

    public final QRegion region()

  Returns the region that needs to be updated.

See also:
  `rect()`, and `QPainter::setClipRegion()`.

### setM_rect

    protected final void setM_rect(QRect m_rect)

### m_rect

    protected final QRect m_rect()

### setM_erased

    protected final void setM_erased(boolean m_erased)

### m_erased

    protected final boolean m_erased()

### setM_region

    protected final void setM_region(QRegion m_region)

### m_region

    protected final QRegion m_region()

### fromNativePointer

    public static QPaintEvent fromNativePointer(QNativePointer nativePointer)

  This method returns the QPaintEvent instance pointed to by `nativePointer`.

### toString

    public java.lang.String toString()

  Returns a string representation of the `this QPaintEvent`.

  Overrides:
    `toString` in class `QEvent`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD